<?php

Zend_Loader::loadClass('Zend_Db_Table');

class Livre extends Zend_Db_Table
{
	protected $_name = 'livre';
	protected $_primary = 'id';

	public function __construct($config = array())
	{
		// First, set up the Cache
		Zend_Loader::loadClass('Zend_Cache');
		$frontendOptions = array('automatic_serialization' => true);
		$backendOptions  = array('cacheDir' => './app/cache/db');
		$ZFcache = Zend_Cache::factory('Core', 'File', $frontendOptions, $backendOptions);

		if (!isset($config['metadataCache']))
			$config['metadataCache'] = Zend_Cache::factory('Core', 'File', $frontendOptions, $backendOptions);//Zend_Db_TableAbstract::setDefaultMetadataCache($cache);
		parent::__construct($config);
	}

	public function insertObject($object)
	{
		return parent::insert((array) $object);
	}

	public function updateObject($object, $where)
	{
		return parent::update((array) $object, $where);
	}
}
